MAV_sphere(3)

NAME
MAV_sphere - Default object class ``sphere''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float radius;
  int nverts;
  int nchips;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_sphere;

DESCRIPTION
A sphere is defined with its centre at the origin with a radius radius.

When rendered, nverts vertices are used to facet the curved surface of the sphere around the Z axis, and nchips vertices around the X axis from -90 to 90 degrees. Both values are only applicable if they are greater than two and mav_opt_curveLOD is not set.